# Contributing Guide

Thanks for lending a hand 👋

Here are a few ways to contribute:

- [Add a theme](../docs/themes.md#adding-theme)
- [Add a language grammar](../docs/languages.md#adding-grammar)
- Fix a bug

## Coding conventions

- We use [prettier](https://prettier.io). Before you commit, all files will be formatted automatically.
- We use [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/). Please use a prefix. If your PR has multiple commits and some of them don't follow the Conventional Commits rule, we'll do a squash merge.

## Fix a bug

- Reference the bug you are fixing in the PR
- Add a test if possible